Name:          junit-interface
Version:       0.10
Release:       1%{?dist}
Summary:       Implementation of SBT's test interface for JUnit
License:       BSD
URL:           http://github.com/szeiger/junit-interface/
Source0:       https://github.com/sbt/junit-interface/archive/%{version}.tar.gz
# Default use sbt
Source1:       junit-interface-build.xml
Source2:       http://repo1.maven.org/maven2/com/novocode/%{name}/%{version}/%{name}-%{version}.pom

BuildRequires: ant
BuildRequires: java-devel
BuildRequires: javapackages-tools
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.scala-sbt:test-interface)
Requires:      java
Requires:      javapackages-tools
Requires:      mvn(junit:junit)
Requires:      mvn(org.scala-sbt:test-interface)
BuildArch:     noarch

%description
An implementation of SBT's test interface for JUnit 4.
This allows you to run JUnit tests from SBT.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
# Cleanup
find -name '*.class' -print -delete
find -name '*.jar' -print -delete

cp -p %{SOURCE1} build.xml
sed -i "s|@VERSION@|%{version}|" build.xml

cp -p %{SOURCE2} pom.xml
%pom_xpath_set "pom:artifactId[text()='junit-dep']" junit
%pom_xpath_set "pom:groupId[text()='org.scala-tools.testing']" org.scala-sbt

%build

ant dist doc

%install

mkdir -p %{buildroot}%{_javadir}
cp -p target/%{name}.jar %{buildroot}%{_javadir}/

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE.txt README.txt

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE.txt

%changelog
* Sat Feb 15 2014 gil cattaneo <puntogil@libero.it> 0.10-1
- initial rpm